You are here

Pidgin: Problems Installing the OTR Encryption Plugin with Gaim Portable 2.0 Beta 5

7 posts / 0 new
Last post
matt_yahoo
Offline
Last seen: 14 years 10 months ago
Joined: 2006-11-16 16:13
Pidgin: Problems Installing the OTR Encryption Plugin with Gaim Portable 2.0 Beta 5

Problems Installing the OTR Encryption Plugin with Gaim Portable 2.0 Beta 5

Tried installing the Off The Record Encryption Plugin (OffTheRecord_Gaim_2.0b2andup), with Gaim Portable 2.0 Beta 5. As instructed I installed to the folder "GaimPortable\App\gaim directory". But when I've selected "Plugins" there is no reference to the Plugin in the list.

Using "Explorer" I have found "gaim-otr.dll" has been successfully installed in the plugin folder.

The plugin appears not to be recognised

Previously I used the "Gaim Portable 2.0 Beta 3.1" version and experienced no problems using the OTR plugin. I have now back to using this older version of the app.

John T. Haller
John T. Haller's picture
Online
Last seen: 3 min 23 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
New version needed

It would appear that beta 5 broke the old plugin, so a new version is needed. There's a new version on their website. The installer does *NOT* work with Gaim Portable. And, from the directory layouts, the OTR plugin may no longer be portable.

Try downloading this file: Gaim OTR 2.0 b5 Plugin (UPX Compressed)

Copy that to your GaimPortable\App\Gaim\plugins directory in an instance of Gaim Portable 2.0 Beta 5. Then try using it on a PC without OTR installed locally to chat with someone else using OTR and see if it works or not. If it does, I'll post an extractor for it on the Gaim page. If not, then we may simple not have OTR anymore. I can't test OTR because, of my 200+ contacts, not a single one uses it.

Sometimes, the impossible can become possible, if you're awesome!

matt_yahoo
Offline
Last seen: 14 years 10 months ago
Joined: 2006-11-16 16:13
RE: New version needed

I followed your suggestion;

"...downloading this file: Gaim OTR 2.0 b5 Plugin (UPX Compressed)

Copy that to your GaimPortable\App\Gaim\plugins directory in an instance of Gaim Portable 2.0 Beta 5".

Now reference to the OTR plugin, can now be found in Gaim menu ->Plugins. Gaim now recognises the existence of the gaim2-otr.dll plugin. I am also able configure the plugin.

I have NOT yet tried to chat with someone else using OTR and see if it works or not. When I do so, I will post on the forum the results of my test.

Matt

matt_yahoo
Offline
Last seen: 14 years 10 months ago
Joined: 2006-11-16 16:13
SUCESS WITH Gaim OTR 2.0 b5 Plugin (UPX Compressed)

Whilst running "Gaim Portable 2.0 Beta 5" with the "Gaim OTR 2.0 b5 Plugin (UPX Compressed)", a friend and myself were able to successfully have a secure coversation.

My friend was using "Miranda-im-v0.5.1-unicode" (Non-portable, installed on a MS XP system), with the OTR plugin which I believe they downloaded from the main cypherpunks.ca website.

Matt

iceberg
Offline
Last seen: 14 years 5 months ago
Joined: 2006-12-30 10:44
WORKS

Followed the directions exactly. Was able to enable OTR, but for some reason it would not recognize my old keys no matter where I put them. Not too big of a deal since at least it works now.

Thanks much.

BvF7734
Offline
Last seen: 5 months 3 weeks ago
Joined: 2006-04-20 21:07
Same here

I experienced the same thing. I played around with it and got it to work though. I don;t remember exactly how to get it to work but I think what I did was to extract the files from the setup. Grab the particular dll required and dropped it on the plugins pane of GAIM and it install that way. I can't remember though.... I do know that a little playing around got it to work.

You have the right to remain silent. Anything you do or say will be exaggerated or mis-quoted and used against you.

jimbob
Offline
Last seen: 16 years 4 days ago
Joined: 2007-01-31 19:59
Test sucessfull

I tested the gaim2-otr.dll with portable Gaim 2 beta 5 and it seems to work just fine. I connected with a friend using Miranda with OTR, and a friend using Gaim 1.x with OTR and both worked.

Also, is there any reason not to include OTR by default with every portable Gaim install?

Topic locked